//
//  Encoding+Helpers.swift
//  SwiftTreeSitter
//
//  Created by Matt Massicotte on 2018-12-18.
//  Copyright © 2018 Chime Systems. All rights reserved.
//

import Foundation
import tree_sitter

extension String.Encoding {
    var internalEncoding: TSInputEncoding? {
        switch self {
        case .utf8:
            return TSInputEncodingUTF8
        case .utf16LittleEndian:
            return TSInputEncodingUTF16
        case .utf16BigEndian:
            return TSInputEncodingUTF16
        default:
            return nil
        }
    }
}
